Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class CmpN

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Arr
                  org.basex.query.expr.CmpN

    public final class CmpN

extends Arr

Node comparison.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary
`static class` | `CmpN.Comp` Comparators.

Field Summary

Fields inherited from class org.basex.query.expr.Arr
`expr`

Constructor Summary
`CmpN(Expr e1, Expr e2, CmpN.Comp c)` Constructor.

Method Summary
`Bln` | `atomic(QueryContext ctx)` Evaluates the expression and returns the resulting item or a null reference.
`java.lang.String` | `color()` Returns a string description of the expression.
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`java.lang.String` | `info()` Returns a string description of the expression.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`Return` | `returned(QueryContext ctx)` Indicates the return type of an expression.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.expr.Arr
`duplicates, indexEquivalent, removable, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, ebv, i, indexAccessible, iter, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CmpN

    public CmpN(Expr e1,
                Expr e2,
                CmpN.Comp c)

  Constructor.

  Parameters:
    `e1` - first expression
    `e2` - second expression
    `c` - comparator

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `Arr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### atomic

    public Bln atomic(QueryContext ctx)
               throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns the resulting item or a null reference. If this method is not overwritten, `Expr.iter(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `atomic` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    iterator
  Throws:
    `QueryException` - query exception

### returned

    public Return returned(QueryContext ctx)

  Description copied from class: `Expr`
  Indicates the return type of an expression. Called by the compiler to check if expressions can be reformulated. null is returned by default.

  Overrides:
    `returned` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    result of check

### color

    public java.lang.String color()

  Description copied from class: `ExprInfo`
  Returns a string description of the expression. Contrary to the `ExprInfo.toString()` method, the current expressions aren't included in the output.

  Overrides:
    `color` in class `ExprInfo`
  Returns:
    result of check

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Arr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### info

    public java.lang.String info()

  Description copied from class: `ExprInfo`
  Returns a string description of the expression. Contrary to the `ExprInfo.toString()` method, the current expressions aren't included in the output.

  Overrides:
    `info` in class `ExprInfo`
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD